#! /bin/sh

# Find out where our modpack lives
#
# This assumes that we have no directories adjacent to the actual pack dir
# that contain a directory called "mods"
#
# If that's not the case, the onus is on you to fix your shit and/or repack
# the server zip
#
directory="$(find modpack/ -type d -iname "mods" -execdir pwd \; | head -n 1)"
echo "Syncing from $directory/"

# Now we rsync everything from that directory here, which should set us up
rsync -av "$directory"/ ./
